Package org.gradle.plugins.ide.idea.model

# Class JarDirectory

java.lang.Object
org.gradle.plugins.ide.idea.model.JarDirectory

public class JarDirectory extends Object
Represents a jar directory element of an idea module library.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JarDirectory(Path path, boolean recursive)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Path`
  `getPath()`
  The path of the jar directory
  `int`
  `hashCode()`
  `boolean`
  `isRecursive()`
  `void`
  `setPath(Path path)`
  The value for the recursive attribute of the jar directory element.
  `void`
  `setRecursive(boolean recursive)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### JarDirectory

    public JarDirectory(Path path, boolean recursive)

- ## Method Details

  - ### getPath

    public Path getPath()
    The path of the jar directory

  - ### setPath

    public void setPath(Path path)
    The value for the recursive attribute of the jar directory element.

  - ### isRecursive

    public boolean isRecursive()

  - ### setRecursive

    public void setRecursive(boolean recursive)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`